Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class CheckTable.ViewTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          ix.iface.util.CheckTable.ViewTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  CheckTable

    protected class CheckTable.ViewTableModel

extends javax.swing.table.AbstractTableModel

Mediates between the data and the JTable.

See Also:
  Serialized Form

Field Summary
`(package private) java.lang.String[]` | `columnName`
`(package private) java.lang.Boolean[]` | `isSelected`
`(package private) java.lang.Object[]` | `items`
`(package private) int` | `KEY_COL`
`(package private) int` | `VAL_COL`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`CheckTable.ViewTableModel(java.lang.String valColName, java.lang.Object[] items, java.lang.Object[] selected)`

Method Summary
`void` | `clearSelections()`
`java.lang.Class` | `getColumnClass(int c)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int col)`
`int` | `getRowCount()`
`java.util.List` | `getSelectedValues()`
`java.lang.Object` | `getValueAt(int row, int col)`
`boolean` | `isCellEditable(int row, int col)`
`void` | `setValueAt(java.lang.Object value, int row, int col)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, removeTableModelListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_COL

    final int KEY_COL

See Also:
  Constant Field Values

### VAL_COL

    final int VAL_COL

See Also:
  Constant Field Values

### columnName

    final java.lang.String[] columnName

### isSelected

    final java.lang.Boolean[] isSelected

### items

    final java.lang.Object[] items

Constructor Detail

### CheckTable.ViewTableModel

    public CheckTable.ViewTableModel(java.lang.String valColName,
                                     java.lang.Object[] items,
                                     java.lang.Object[] selected)

Method Detail

### getColumnName

    public java.lang.String getColumnName(int col)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getColumnCount

    public int getColumnCount()

### getRowCount

    public int getRowCount()

### getColumnClass

    public java.lang.Class getColumnClass(int c)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

### isCellEditable

    public boolean isCellEditable(int row,
                                  int col)

  Specified by:
    `isCellEditable` in interface `javax.swing.table.TableModel`
  Overrides:
    `isCellEditable` in class `javax.swing.table.AbstractTableModel`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int row,
                           int col)

  Specified by:
    `setValueAt` in interface `javax.swing.table.TableModel`
  Overrides:
    `setValueAt` in class `javax.swing.table.AbstractTableModel`

### getSelectedValues

    public java.util.List getSelectedValues()

### clearSelections

    public void clearSelections()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD